export const singleLineTokens: SingleLineCfg[] = [
  {
    rx: /^#\s/,
    create(line) {
      return ({ type: "h1", line, raw: line, cfg: this });
    },
    replaceRx: /^#\s/,
  },
  {
    rx: /^##\s/,
    create(line) {
      return ({ type: "h2", line, raw: line, cfg: this });
    },
    replaceRx: /^##\s/,
  },
  {
    rx: /^###\s/,
    create(line) {
      return ({ type: "h3", line, raw: line, cfg: this });
    },
    replaceRx: /^###\s/,
  },
  {
    rx: /^-\s/,
    create(line) {
      return ({ type: "list1", line, raw: line, mends: true, cfg: this });
    },
    replaceRx: /^-\s/,
    shouldMendNextLine: true,
  },
  {
    rx: /^[\t\s]{2}-\s/,
    create(line) {
      return ({ type: "list2", line, raw: line, mends: true, cfg: this });
    },
    replaceRx: /^[\t\s]{2}-\s/,
    shouldMendNextLine: true,
  },
];
